/* Page-specific Styles */

/* Page default */
main.page:not(.main_page) {
    padding-top: 0;
}

/* Page 404 */
.page-404 {
    display: flex;
    align-items: center;
    height: 100svh;
    position: relative;
    padding-top: 0 !important;
}

.page-404 .container {
    max-width: 700px;
    text-align: center;
    position: relative;
    z-index: 1;
}

.page-404 .container h1 {
    font: var(--font-h2);
    font-size: calc(var(--rpx) * 100);
}

.page-404 .container .p1 {
    color: var(--text-70);
}

.page-404 .big {
    font-size: 50vw;
    position: absolute;
    font-family: var(--font-display-family);
    inset: 0;
    margin: auto;
    line-height: 1;
    text-align: center;
    opacity: 0.1;
    z-index: -1;
    height: fit-content;
    top: -20%;
}

/* Политика конфиденциальности */
main.page-poly {
    padding-top: calc(var(--header-height) + (var(--section-padding-top))) !important;
}
main.page-poly .container {
    max-width: calc(var(--rpx) * 1400);
}
main.page-poly .module-utils-breadcrumbs-1 {
    padding-bottom: var(--spacing-16);
}
main.page-poly .content h1 {
    margin-bottom: 1em;
    font-size: 4em;
}
main.page-poly .content p:not(:last-child) {
    margin-bottom: 1em;
}
main.page-poly .content h2 {
    margin: 1em 0;
}

/* Mobile + Tablet */
@media (max-width: 1023px) {
    .page-404 .container h1 {
        font-size: calc(var(--rpx) * 60);
    }

    .page-404 .container button {
        width: fit-content;
    }

    .page-404 .big {
        scale: 1.5;
    }
}
